package jp.agentec.abook.abv.ui.viewer.view.action;

import java.util.ArrayList;

import jp.agentec.abook.abv.ui.viewer.view.Action3DImageView;

public class PageActionList {
	private int mPageNumber;
	public ArrayList<VideoMountAction> arrayVideoMount = new ArrayList<>();           //埋め込み動画用
	public ArrayList<VideoMountAction> arrayVideoChange = new ArrayList<>();   //差し替え動画用
	public ArrayList<Action3DImageView> array3DImage = new ArrayList<>();             //3DView用
	public ArrayList<ImageChangeAction> arrayChangeImageTap = new ArrayList<>();      //イメージ切り替えタップ用
	
	public PageActionList(int pageNumber) {
		mPageNumber = pageNumber;
	}
	
	public int getPageNumber() {
		return mPageNumber;
	}
	public void clear() {
		arrayVideoMount.clear();
		arrayVideoChange.clear();
		array3DImage.clear();
		arrayChangeImageTap.clear();
	}
}
